<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AlarmMessageSelection StructType
 * @subpackage Structs
 */
class AlarmMessageSelection extends AbstractStructBase
{
    /**
     * The Vehicles
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfIdentifierVehicle
     */
    public $Vehicles;
    /**
     * The DateTimeRange
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\DateTimeRangeSelection
     */
    public $DateTimeRange;
    /**
     * The SelectionFromToday
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\DateTimeSelection
     */
    public $SelectionFromToday;
    /**
     * The AlarmMessageTypes
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfEnumAlarmMessageType
     */
    public $AlarmMessageTypes;
    /**
     * The AlarmIds
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfLong
     */
    public $AlarmIds;
    /**
     * Constructor method for AlarmMessageSelection
     * @uses AlarmMessageSelection::setVehicles()
     * @uses AlarmMessageSelection::setDateTimeRange()
     * @uses AlarmMessageSelection::setSelectionFromToday()
     * @uses AlarmMessageSelection::setAlarmMessageTypes()
     * @uses AlarmMessageSelection::setAlarmIds()
     * @param \ArrayType\ArrayOfIdentifierVehicle $vehicles
     * @param \StructType\DateTimeRangeSelection $dateTimeRange
     * @param \StructType\DateTimeSelection $selectionFromToday
     * @param \ArrayType\ArrayOfEnumAlarmMessageType $alarmMessageTypes
     * @param \ArrayType\ArrayOfLong $alarmIds
     */
    public function __construct(\ArrayType\ArrayOfIdentifierVehicle $vehicles = null, \StructType\DateTimeRangeSelection $dateTimeRange = null, \StructType\DateTimeSelection $selectionFromToday = null, \ArrayType\ArrayOfEnumAlarmMessageType $alarmMessageTypes = null, \ArrayType\ArrayOfLong $alarmIds = null)
    {
        $this
            ->setVehicles($vehicles)
            ->setDateTimeRange($dateTimeRange)
            ->setSelectionFromToday($selectionFromToday)
            ->setAlarmMessageTypes($alarmMessageTypes)
            ->setAlarmIds($alarmIds);
    }
    /**
     * Get Vehicles value
     * @return \ArrayType\ArrayOfIdentifierVehicle|null
     */
    public function getVehicles()
    {
        return $this->Vehicles;
    }
    /**
     * Set Vehicles value
     * @param \ArrayType\ArrayOfIdentifierVehicle $vehicles
     * @return \StructType\AlarmMessageSelection
     */
    public function setVehicles(\ArrayType\ArrayOfIdentifierVehicle $vehicles = null)
    {
        $this->Vehicles = $vehicles;
        return $this;
    }
    /**
     * Get DateTimeRange value
     * @return \StructType\DateTimeRangeSelection|null
     */
    public function getDateTimeRange()
    {
        return $this->DateTimeRange;
    }
    /**
     * Set DateTimeRange value
     * @param \StructType\DateTimeRangeSelection $dateTimeRange
     * @return \StructType\AlarmMessageSelection
     */
    public function setDateTimeRange(\StructType\DateTimeRangeSelection $dateTimeRange = null)
    {
        $this->DateTimeRange = $dateTimeRange;
        return $this;
    }
    /**
     * Get SelectionFromToday value
     * @return \StructType\DateTimeSelection|null
     */
    public function getSelectionFromToday()
    {
        return $this->SelectionFromToday;
    }
    /**
     * Set SelectionFromToday value
     * @param \StructType\DateTimeSelection $selectionFromToday
     * @return \StructType\AlarmMessageSelection
     */
    public function setSelectionFromToday(\StructType\DateTimeSelection $selectionFromToday = null)
    {
        $this->SelectionFromToday = $selectionFromToday;
        return $this;
    }
    /**
     * Get AlarmMessageTypes value
     * @return \ArrayType\ArrayOfEnumAlarmMessageType|null
     */
    public function getAlarmMessageTypes()
    {
        return $this->AlarmMessageTypes;
    }
    /**
     * Set AlarmMessageTypes value
     * @param \ArrayType\ArrayOfEnumAlarmMessageType $alarmMessageTypes
     * @return \StructType\AlarmMessageSelection
     */
    public function setAlarmMessageTypes(\ArrayType\ArrayOfEnumAlarmMessageType $alarmMessageTypes = null)
    {
        $this->AlarmMessageTypes = $alarmMessageTypes;
        return $this;
    }
    /**
     * Get AlarmIds value
     * @return \ArrayType\ArrayOfLong|null
     */
    public function getAlarmIds()
    {
        return $this->AlarmIds;
    }
    /**
     * Set AlarmIds value
     * @param \ArrayType\ArrayOfLong $alarmIds
     * @return \StructType\AlarmMessageSelection
     */
    public function setAlarmIds(\ArrayType\ArrayOfLong $alarmIds = null)
    {
        $this->AlarmIds = $alarmIds;
        return $this;
    }
}
